## qiv 2.1~pre12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-######################################################################
-# Makefile for qiv
+#######################################################################
+# Makefile for qiv - Quick Image Viewer - http://www.klografx.net/qiv/
 # User Options
-######################################################################
+#######################################################################
 
 # Directory where qiv will be installed under.
 PREFIX = /usr/local
@@ -28,7 +28,11 @@
 
 # This program will be run on the manual page after it is installed.
 # If you don't want to compress the manpage, change it to 'true'.
-COMPRESS_PROG = gzip -9f 
+COMPRESS_PROG = gzip -9f
+
+# Comment this line out if your system doesn't have libXinerama
+# installed (for centering on dual-screen)
+GTD_XINERAMA = -DGTD_XINERAMA
 
 ######################################################################
 
@@ -54,26 +58,41 @@
 ######################################################################
 
 CC        = gcc
-CFLAGS    = -O2 -Wall -fomit-frame-pointer -finline-functions \
+CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
 	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
+#CFLAGS    = -O2 -Wall -fomit-frame-pointer -finline-functions \
+#	    -fcaller-saves -ffast-math -fno-strength-reduce \
+#	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
 
 INCLUDES  = `imlib-config --cflags-gdk`
 LIBS      = `imlib-config --libs-gdk`
+# [as] thinks that this is not portable enough
+# [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
+# so I changed (in main.c) how screen_[x,y] is obtained; it seems that gtk
+# 1.2 cannot give the geometry of viewport, so I borrowed from the source
+# of xvidtune the code for calling XF86VidModeGetModeLine, this requires
+# the linking option -lXxf86vm.
+#LIBS      = `imlib-config --libs-gdk` -lXxf86vm
 
 PROGRAM   = qiv
-OBJS      = main.o image.o event.o options.o utils.o
+OBJS      = main.o image.o event.o options.o utils.o xmalloc.o
 HEADERS   = qiv.h
 DEFINES   = $(patsubst %,-DEXTN_%, $(EXTNS)) \
             $(GETOPT_LONG) \
             -DSTATUSBAR_FONT='$(STATUSBAR_FONT)' \
             -DCENTER=$(CENTER) \
             -DFILTER=$(FILTER) \
-            -DCURSOR=$(CURSOR)
+            -DCURSOR=$(CURSOR) \
+	    $(GTD_XINERAMA)
 
 ifndef GETOPT_LONG
 OBJS     += lib/getopt.o lib/getopt1.o
 OBJS_G   += lib/getopt.g lib/getopt1.g
+endif
+
+ifdef GTD_XINERAMA
+LIBS	 += -L/usr/X11R6/lib -lXinerama
 endif
 
 PROGRAM_G = qiv-g
@@ -87,7 +106,7 @@
 all: $(PROGRAM)
 
 $(PROGRAM): $(OBJS)
-	$(CC) $(CFLAGS) $(DEFINES) $(LIBS) $(OBJS) -o $(PROGRAM)
+	$(CC) $(CFLAGS) $(DEFINES) $(OBJS) $(LIBS) -o $(PROGRAM)
 
 $(OBJS): %.o: %.c $(HEADERS)
 	$(CC) -c $(CFLAGS) $(DEFINES) $(INCLUDES) $< -o $@
@@ -108,17 +127,21 @@
 
 clean :  
 	@echo "Cleaning up..."
-	rm -f $(PROGRAM) $(PROGRAM_G) $(OBJS) $(OBJS_G)
+	rm -f $(OBJS) $(OBJS_G)
+
+distclean : clean
+	rm -f $(PROGRAM) $(PROGRAM_G)
 
 install: $(PROGRAM)
-	@echo "Installing..."
+	@echo "Installing QIV..."
 	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
 	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
 	$(COMPRESS_PROG) $(PREFIX)/man/man1/$(PROGRAM).1
-	@if ./qiv -o white -f ./intro.jpg ; \
+	@if ./qiv -f ./intro.jpg ; \
 	then echo "-- Test Passed --" ; \
 	else echo "-- Test Failed --" ; \
 	fi
+	@echo -ne "\nDont forget to look into the \"qiv-command\" file and install it!\n-> cp qiv-command.example /usr/local/bin/qiv-command\n\n" 
 
 install-xscreensaver: install
 	@echo "#!/bin/sh" > $(SS_PROG)
