## qiv 2.2.3

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # skipped.) It should reflect whatever is compiled into imlib.
 # The latest version of imlib has removed imagemagick fallback support,
 # so some extensions (XBM TGA) have been removed.
-EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG
+EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO
 
 # Comment this line out if your system doesn't have getopt_long().
 GETOPT_LONG = -DHAVE_GETOPT_LONG
@@ -35,10 +35,6 @@
 # Comment this line out if your system doesn't have libXinerama
 # installed (for centering on dual-screen)
 GTD_XINERAMA = -DGTD_XINERAMA
-
-# Comment this line out if you do not want to use libexif to
-# autorotate images
-EXIF = -DHAVE_EXIF
 
 # Comment this line out if you do not want to use libmagic to
 # identify if a file is an image
@@ -59,7 +55,7 @@
 #	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
 
 INCLUDES  := $(shell pkg-config --cflags gdk-2.0 imlib2)
-LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2)
+LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2) -lX11
 
 # [as] thinks that this is not portable enough:
 # [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
@@ -78,7 +74,6 @@
             -DCENTER=$(CENTER) \
             -DFILTER=$(FILTER) \
             -DCURSOR=$(CURSOR) \
-            $(EXIF) \
             $(MAGIC) \
             $(GTD_XINERAMA)
 
@@ -93,10 +88,6 @@
 
 ifdef MAGIC
 LIBS    += -lmagic
-endif
-
-ifdef EXIF
-LIBS     += -lexif
 endif
 
 PROGRAM_G = qiv-g
