## qiv 2.2.4-0maemo1

=== debian/changelog ===
qiv (2.2.4-0maemo1) unstable; urgency=low

  * Give it a try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 30 Dec 2012 23:23:09 +0100

qiv (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 22 May 2011 15:53:15 +0000

qiv (2.2.3-1) unstable; urgency=low

  * New upstream release.  Closes: #572165, #556303, #532055.

 -- Bart Martens <bartm@debian.org>  Fri, 19 Mar 2010 20:12:33 +0100

qiv (2.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 31 May 2009 23:39:50 +0200

qiv (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Fri, 29 May 2009 20:55:08 +0200

qiv (2.2-1) unstable; urgency=low

  * New upstream release.  Closes: #456133, #497286.
  * debian/patches_amd64/01_no_GDK_WA_WMCLASS.diff: Removed.
  * debian/patches_powerpc/01_no_GDK_WA_WMCLASS.diff: Removed.
  * debian/patches/09_man_xscreensaver.diff: Removed.
  * debian/patches/12_cmdbuflen.diff: Removed.
  * debian/patches/13_gtk_includes.diff: Disabled.
  * debian/patches/14_bash.diff: Added.  Closes: #489650.
  * debian/control: Build-Depends: libimlib2-dev, libgtk2.0-dev, libmagic-dev,
    libexif-dev.
  * debian/copyright: Added description of how the .orig.tar.gz was made.
  * debian/watch: Updated for new upstream download site.

 -- Bart Martens <bartm@debian.org>  Thu, 30 Apr 2009 09:10:08 +0200

qiv (2.1~pre12-5) unstable; urgency=low

  * debian/patches_powerpc/01_no_GDK_WA_WMCLASS.diff: Added.  Closes: #461940.
    Same patch as added for amd64 in 2.1~pre12-2, see below.

 -- Bart Martens <bartm@debian.org>  Fri, 25 Jan 2008 18:36:45 +0100

qiv (2.1~pre12-4) unstable; urgency=low

  * debian/patches/13_gtk_includes.diff: Added.  Closes: #456854.

 -- Bart Martens <bartm@debian.org>  Thu, 20 Dec 2007 09:42:35 +0100

qiv (2.1~pre12-3) unstable; urgency=low

  * debian/patches/12_cmdbuflen.diff: Added.  Closes: #441401.  Thanks to
    Norman Ramsey <nr@eecs.harvard.edu>.

 -- Bart Martens <bartm@knars.be>  Sun, 23 Sep 2007 18:15:48 +0200

qiv (2.1~pre12-2) unstable; urgency=low

  * debian/rules: Added support for architecture specific patches.
  * debian/patches_amd64/01_no_GDK_WA_WMCLASS.diff: Added.  Closes: #426754.

 -- Bart Martens <bartm@knars.be>  Sun, 03 Jun 2007 17:55:13 +0200

qiv (2.1~pre12-1) unstable; urgency=low

  * New upstream (pre)release.  Closes: #422035.
  * debian/README.Debian-source: Explains the .orig.tar.gz file.
  * debian/bin/qiv, debian/install, debian/rules, debian/lintian/qiv,
    debian/patches/08_hide_therealqiv.diff: Removed the wrapper that was added
    in version 2.0-5.
  * debian/docs: Additionally install README.TODO.
  * debian/docs: Don't install debian/NEWS.Debian, see disabled patches below.
  * Removed obsolete patches:
      debian/patches/01.fix_xinerama.diff
      debian/patches/02.typo_envoked.diff
      debian/patches/03.additional_keys.diff
      debian/patches/04.qiv-nosort.diff
      debian/patches/05.qiv-manpage-options.diff
      debian/patches/06.xmalloc.diff
      debian/patches/10_qiv-nosort_2.diff
  * Updated patch: debian/patches/09_man_xscreensaver.diff
  * Disabled patches:
      debian/patches/07_no_background_opts.diffDISABLED
      debian/patches/11_no_background_opts_2.diffDISABLED
  * debian/copyright: Updated.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Sun, 20 May 2007 14:01:49 +0200

qiv (2.0-8) unstable; urgency=low

  * debian/README.Debian, debian/docs: Removed README.Debian, and install
    debian/NEWS.Debian.  Closes: #403936.
  * debian/qiv.mime: Updated.  Closes: #404220.  Thanks to Roman Galeyev
    <me@jamhed.pp.ru>.

 -- Bart Martens <bartm@knars.be>  Sat, 27 Jan 2007 17:02:56 +0100

qiv (2.0-7) unstable; urgency=low

  * debian/NEWS.Debian: Added.
  * debian/patches/10_qiv-nosort_2.diff: Added.  Closes: #383110.
  * debian/patches/11_no_background_opts_2.diff: Added.  Closes: #351816.

 -- Bart Martens <bartm@knars.be>  Wed,  6 Dec 2006 19:58:52 +0100

qiv (2.0-6) unstable; urgency=low

  * debian/patches/07_no_background_opts.diff: Added.  Closes: #351816.
  * debian/patches/08_hide_therealqiv.diff: Added, to hide "therealqiv".
  * debian/patches/09_man_xscreensaver.diff: Added.  Closes: #360514.
  * debian/bin/qiv: Use "exec".  Closes: #399596.

 -- Bart Martens <bartm@knars.be>  Wed, 22 Nov 2006 14:52:29 +0100

qiv (2.0-5) unstable; urgency=low

  * New maintainer.  Closes: #398124.
  * Acknowledge NMU's.  Closes: #320115, #347042.
  * debian/*: Repackaged with cdbs.
  * debian/control: Updated build-depends to gdk-imlib11-dev.
  * debian/patches/*: Converted dpatches to diff files.
  * debian/patches/02.typo_envoked.diff: Added.  Closes: #311232.  Patch by A
    Costa <agcosta@gis.net>, thanks.
  * debian/patches/04.qiv-nosort.diff: Added.  Closes: #383110.  Patch by
    Kevin Locke <kwl7@cornell.edu>, thanks.
  * debian/patches/05.qiv-manpage-options.diff: Added.  Closes: #383108.
    Patch by Kevin Locke <kwl7@cornell.edu>, thanks.
  * debian/patches/06.xmalloc.diff: Added.  Closes: #383113.  Patch by Kevin
    Locke <kwl7@cornell.edu>, thanks.
  * debian/watch: Added.
  * debian/bin/qiv, debian/lintian/qiv, debian/rules: Add wrapper using
    XLIB_SKIP_ARGB_VISUALS=1 as workaround for problem in qiv with X composite
    extension.  Closes: #326849.  Thanks to Joerg Platte <lists@naasa.net>.

 -- Bart Martens <bartm@knars.be>  Sun, 12 Nov 2006 09:21:38 +0100

qiv (2.0-4.2) unstable; urgency=low

  * NMU.
  * debian/patches/02.improves_bgimage_setting.dpatch, debian/patches/00list:
    Removed patch with regression.  Closes: #320115.
  * debian/copyright: Fixed old-fsf-address-in-copyright-file.
  * debian/control: Standards version.
  * debian/control: Adjusted homepage.

 -- Bart Martens <bartm@knars.be>  Sat, 13 May 2006 21:00:04 +0200

qiv (2.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-deps for xlibs-dev removal; closes: #347042.


