=== debian/control ===
Source: qiv
Section: graphics
Priority: extra
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libimlib2-dev, libgtk2.0-dev, libx11-dev, libxinerama-dev, libmagic-dev, libexif-dev
Standards-Version: 3.9.2
Homepage: http://qiv.spiegl.de/

Package: qiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Quick image viewer for X
 Quick Image Viewer (qiv) is a very small and pretty fast GDK/Imlib image
 viewer. Features include zoom, maxpect, scale down, fullscreen,
 brightness/contrast/gamma correction, slideshow, pan with keyboard and mouse,
 rotate left/right, flip, delete (move to .qiv-trash/), jump to image x, jump
 forward/backward x images, filename filter, and you can use qiv to set your
 X11-Desktop background.
 .
 qiv also supports the assignment of external commands (like metacam) to unused
 keys.
