## qiv 2.3.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PREFIX = /usr/local
 
 # Font to use for statusbar in fullscreen mode
-STATUSBAR_FONT = "fixed"
+STATUSBAR_FONT = "Monospace 9"
 
 # Cursor to use on qiv windows - see
 # /usr/X11R6/include/X11/cursorfont.h for more choices.
@@ -32,13 +32,17 @@
 # If you don't want to compress the manpage, change it to 'true'.
 COMPRESS_PROG = gzip -9f
 
-# Comment this line out if your system doesn't have libXinerama
-# installed (for centering on dual-screen)
-GTD_XINERAMA = -DGTD_XINERAMA
+# Comment this line out if your system doesn't have lcms2 installed
+# (for minimal Color Management support)
+LCMS = -DSUPPORT_LCMS
 
 # Comment this line out if you do not want to use libmagic to
 # identify if a file is an image
 MAGIC = -DHAVE_MAGIC
+
+# Comment this line out if you do not want to use libexif to
+# display the exif contents of a jpg 
+EXIF = -DHAVE_EXIF
 
 ######################################################################
 # Variables and Rules
@@ -46,7 +50,7 @@
 ######################################################################
 
 CC        = gcc
-#CFLAGS    = -O -g -Wall
+#CFLAGS    = -O0 -g -Wall
 CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
 	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
@@ -55,7 +59,7 @@
 #	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
 
 INCLUDES  := $(shell pkg-config --cflags gdk-2.0 imlib2)
-LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2) -lX11
+LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2) -lX11 -lXext
 
 # [as] thinks that this is not portable enough:
 # [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
@@ -75,15 +79,22 @@
             -DFILTER=$(FILTER) \
             -DCURSOR=$(CURSOR) \
             $(MAGIC) \
-            $(GTD_XINERAMA)
+            $(EXIF) \
+            $(LCMS)
 
 ifndef GETOPT_LONG
 OBJS     += lib/getopt.o lib/getopt1.o
 OBJS_G   += lib/getopt.g lib/getopt1.g
 endif
 
-ifdef GTD_XINERAMA
-LIBS     += -L/usr/X11R6/lib -lXinerama
+ifdef LCMS
+INCLUDES  += $(shell pkg-config --cflags lcms2)
+LIBS      += $(shell pkg-config --libs lcms2) -ljpeg -ltiff
+endif
+
+ifdef EXIF
+INCLUDES  += $(shell pkg-config --cflags libexif)
+LIBS      += $(shell pkg-config --libs libexif)
 endif
 
 ifdef MAGIC
@@ -127,13 +138,31 @@
 
 install: $(PROGRAM)
 	@echo "Installing QIV..."
+	@if [ ! -e $(PREFIX)/bin ]; then \
+	  install -d -m 0755 $(PREFIX)/bin; \
+	  echo install -d -m 0755 $(PREFIX)/bin; \
+        fi
 	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
+	@if [ ! -e $(PREFIX)/man/man1 ]; then \
+	  echo install -d -m 0755 $(PREFIX)/man/man1; \
+	  install -d -m 0755 $(PREFIX)/man/man1; \
+	fi
 	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
 	$(COMPRESS_PROG) $(PREFIX)/man/man1/$(PROGRAM).1
+	@if [ ! -e $(PREFIX)/share/pixmaps ]; then \
+	  echo install -d -m 0755 $(PREFIX)/share/pixmaps; \
+	  install -d -m 0755 $(PREFIX)/share/pixmaps; \
+	fi
+	install -m 0644 qiv.png $(PREFIX)/share/pixmaps/qiv.png
+	@if [ ! -e $(PREFIX)/share/applications ]; then \
+	  echo install -d -m 0755 $(PREFIX)/share/applications; \
+	  install -d -m 0755 $(PREFIX)/share/applications; \
+	fi
+	install -m 0644 qiv.desktop $(PREFIX)/share/applications/qiv.desktop
 	@if ./qiv -f ./intro.jpg ; \
 	then echo "-- Test Passed --" ; \
 	else echo "-- Test Failed --" ; \
 	fi
-	@echo -ne "\nDont forget to look into the \"qiv-command\" file and install it!\n-> cp qiv-command.example /usr/local/bin/qiv-command\n\n"
+	@echo "\nDont forget to look into the \"qiv-command\" file and install it!\n-> cp qiv-command.example $(PREFIX)/bin/qiv-command\n\n"
 
 # the end... ;-)
