## qiv 2.3.2

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,9 @@
 # Directory where qiv will be installed under.
 PREFIX = /usr/local
 
-# Font to use for statusbar in fullscreen mode
+# Fonts to use for statusbar and comments
 STATUSBAR_FONT = "Monospace 9"
+COMMENT_FONT = "Monospace 20"
 
 # Cursor to use on qiv windows - see
 # /usr/X11R6/include/X11/cursorfont.h for more choices.
@@ -49,7 +50,11 @@
 # Do not edit below here!
 ######################################################################
 
-CC        = gcc
+ifeq ($(origin CC),default)
+CC = gcc
+endif
+
+PKG_CONFIG ?= pkg-config
 #CFLAGS    = -O0 -g -Wall
 CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
@@ -58,8 +63,8 @@
 #	    -fcaller-saves -ffast-math -fno-strength-reduce \
 #	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
 
-INCLUDES  := $(shell pkg-config --cflags gdk-2.0 imlib2)
-LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2) -lX11 -lXext
+INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-2.0 imlib2)
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0 imlib2) -lX11 -lXext -lgio-2.0
 
 # [as] thinks that this is not portable enough:
 # [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
@@ -75,6 +80,7 @@
 DEFINES   = $(patsubst %,-DEXTN_%, $(EXTNS)) \
             $(GETOPT_LONG) \
             -DSTATUSBAR_FONT='$(STATUSBAR_FONT)' \
+            -DCOMMENT_FONT='$(COMMENT_FONT)' \
             -DCENTER=$(CENTER) \
             -DFILTER=$(FILTER) \
             -DCURSOR=$(CURSOR) \
@@ -88,13 +94,13 @@
 endif
 
 ifdef LCMS
-INCLUDES  += $(shell pkg-config --cflags lcms2)
-LIBS      += $(shell pkg-config --libs lcms2) -ljpeg -ltiff
+INCLUDES  += $(shell $(PKG_CONFIG) --cflags lcms2)
+LIBS      += $(shell $(PKG_CONFIG) --libs lcms2) -ljpeg -ltiff
 endif
 
 ifdef EXIF
-INCLUDES  += $(shell pkg-config --cflags libexif)
-LIBS      += $(shell pkg-config --libs libexif)
+INCLUDES  += $(shell $(PKG_CONFIG) --cflags libexif)
+LIBS      += $(shell $(PKG_CONFIG) --libs libexif)
 endif
 
 ifdef MAGIC
@@ -112,7 +118,7 @@
 $(PROGRAM): $(OBJS)
 	$(CC) $(CFLAGS) $(DEFINES) $(OBJS) $(LIBS) -o $(PROGRAM)
 
-$(OBJS): %.o: %.c $(HEADERS)
+$(OBJS): %.o: %.c $(HEADERS) Makefile
 	$(CC) -c $(CFLAGS) $(DEFINES) $(INCLUDES) $< -o $@
 
 main.o: main.h
@@ -122,7 +128,7 @@
 debug: $(PROGRAM_G)
 
 $(PROGRAM_G): $(OBJS_G)
-	$(CC) -g $(CFLAGS) $(DEFINES_G) $(LIBS) $(OBJS_G) -o $(PROGRAM_G)
+	$(CC) -g $(CFLAGS) $(DEFINES_G) $(OBJS_G) $(LIBS) -o $(PROGRAM_G)
 
 $(OBJS_G): %.g: %.c $(HEADERS)
 	$(CC) -c -g $(CFLAGS) $(DEFINES_G) $(INCLUDES) $< -o $@
@@ -147,8 +153,8 @@
 	  echo install -d -m 0755 $(PREFIX)/man/man1; \
 	  install -d -m 0755 $(PREFIX)/man/man1; \
 	fi
-	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
-	$(COMPRESS_PROG) $(PREFIX)/man/man1/$(PROGRAM).1
+	install -m 0644 $(PROGRAM).1 $(PREFIX)/share/man/man1
+	$(COMPRESS_PROG) $(PREFIX)/share/man/man1/$(PROGRAM).1
 	@if [ ! -e $(PREFIX)/share/pixmaps ]; then \
 	  echo install -d -m 0755 $(PREFIX)/share/pixmaps; \
 	  install -d -m 0755 $(PREFIX)/share/pixmaps; \
