=== debian/changelog ===
qiv (2.3.2-2build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:06:06 -0500

qiv (2.3.2-2) unstable; urgency=medium

  * debian/patches/install.diff: Added, closes: #969338.

 -- Bart Martens <bartm@debian.org>  Tue, 01 Sep 2020 07:26:46 +0200

qiv (2.3.2-1) unstable; urgency=medium

  * New upstream release. Closes: #969105, #879108.
  * Replaced cdbs by debhelper. Closes: #965793.
  * debian/patches/*: Removed disabled and obsolete patches.
  * debian/patches/prefix.diff, shareman.diff: Added, fixing Makefile for
    DESTDIR and location of man page.
  * debian/control: depend on libwmf0.2-7-gtk, closes: #952652.
  * debian/qiv.mime: Removed FITS. Closes: #723811.

 -- Bart Martens <bartm@debian.org>  Sun, 30 Aug 2020 09:26:00 +0200

qiv (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Build-Depends: liblcms2-dev.
  * debian/rules: Updated.  qiv-command.example is now in subdirectory.
  * debian/patches/14_bash.diff: Removed.  Now included upstream.
  * debian/patches/15_browse.diff: Removed.  Now included upstream.
  * debian/patches/16_usleep.diff: Added.  Closes: #745617.

 -- Bart Martens <bartm@debian.org>  Sun, 26 Oct 2014 11:05:52 +0100

qiv (2.2.4-2) unstable; urgency=low

  * debian/patches/15_browse.diff: Use the -B option only when there is at
    least one image to show.  Fixes segfault.  Closes: #702619.

 -- Bart Martens <bartm@debian.org>  Sat, 09 Mar 2013 17:33:16 +0000
