## qiv 2.3.3

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 # Fonts to use for statusbar and comments
 STATUSBAR_FONT = "Monospace 9"
 COMMENT_FONT = "Monospace 20"
+ARTIST_FONT = "Monospace 10"
 
 # Cursor to use on qiv windows - see
 # /usr/X11R6/include/X11/cursorfont.h for more choices.
@@ -21,10 +22,11 @@
 FILTER = 1
 
 # This sets the file extentions to filter on (other file types will be
-# skipped.) It should reflect whatever is compiled into imlib.
+# skipped.) It should reflect whatever can be loaded via gdk-pixbuf-loader
+# or is compiled into imlib.
 # The latest version of imlib has removed imagemagick fallback support,
 # so some extensions (XBM TGA) have been removed.
-EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO
+EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO WEBP HEIF
 
 # Comment this line out if your system doesn't have getopt_long().
 GETOPT_LONG = -DHAVE_GETOPT_LONG
@@ -55,6 +57,7 @@
 endif
 
 PKG_CONFIG ?= pkg-config
+INSTALL    ?= install
 #CFLAGS    = -O0 -g -Wall
 CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
@@ -81,6 +84,7 @@
             $(GETOPT_LONG) \
             -DSTATUSBAR_FONT='$(STATUSBAR_FONT)' \
             -DCOMMENT_FONT='$(COMMENT_FONT)' \
+            -DARTIST_FONT='$(ARTIST_FONT)' \
             -DCENTER=$(CENTER) \
             -DFILTER=$(FILTER) \
             -DCURSOR=$(CURSOR) \
@@ -145,26 +149,26 @@
 install: $(PROGRAM)
 	@echo "Installing QIV..."
 	@if [ ! -e $(PREFIX)/bin ]; then \
-	  install -d -m 0755 $(PREFIX)/bin; \
+	  $(INSTALL) -d -m 0755 $(PREFIX)/bin; \
 	  echo install -d -m 0755 $(PREFIX)/bin; \
         fi
-	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
-	@if [ ! -e $(PREFIX)/man/man1 ]; then \
-	  echo install -d -m 0755 $(PREFIX)/man/man1; \
-	  install -d -m 0755 $(PREFIX)/man/man1; \
+	$(INSTALL) -s -m 0755 $(PROGRAM) $(PREFIX)/bin
+	@if [ ! -e $(PREFIX)/share/man/man1 ]; then \
+	  echo install -d -m 0755 $(PREFIX)/share/man/man1; \
+	  $(INSTALL) -d -m 0755 $(PREFIX)/share/man/man1; \
 	fi
-	install -m 0644 $(PROGRAM).1 $(PREFIX)/share/man/man1
+	$(INSTALL) -m 0644 $(PROGRAM).1 $(PREFIX)/share/man/man1
 	$(COMPRESS_PROG) $(PREFIX)/share/man/man1/$(PROGRAM).1
 	@if [ ! -e $(PREFIX)/share/pixmaps ]; then \
 	  echo install -d -m 0755 $(PREFIX)/share/pixmaps; \
-	  install -d -m 0755 $(PREFIX)/share/pixmaps; \
+	  $(INSTALL) -d -m 0755 $(PREFIX)/share/pixmaps; \
 	fi
-	install -m 0644 qiv.png $(PREFIX)/share/pixmaps/qiv.png
+	$(INSTALL) -m 0644 qiv.png $(PREFIX)/share/pixmaps/qiv.png
 	@if [ ! -e $(PREFIX)/share/applications ]; then \
 	  echo install -d -m 0755 $(PREFIX)/share/applications; \
-	  install -d -m 0755 $(PREFIX)/share/applications; \
+	  $(INSTALL) -d -m 0755 $(PREFIX)/share/applications; \
 	fi
-	install -m 0644 qiv.desktop $(PREFIX)/share/applications/qiv.desktop
+	$(INSTALL) -m 0644 qiv.desktop $(PREFIX)/share/applications/qiv.desktop
 	@if ./qiv -f ./intro.jpg ; \
 	then echo "-- Test Passed --" ; \
 	else echo "-- Test Failed --" ; \
