=== debian/changelog ===
qiv (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/install.diff: Removed. Now in upstream.
  * debian/patches/shareman.diff: Removed. Now in upstream.

 -- Bart Martens <bartm@debian.org>  Wed, 01 Feb 2023 08:03:14 +0100
