=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: qiv
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), libimlib2-dev, libgtk2.0-dev, libx11-dev, libxinerama-dev, libmagic-dev, libexif-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper-compat (= 13), libimlib2-dev, libgtk2.0-dev, libx11-dev, libxinerama-dev, libmagic-dev, libexif-dev, liblcms2-dev
+Standards-Version: 4.5.0
 Homepage: http://qiv.spiegl.de/
+Rules-Requires-Root: no
 
 Package: qiv
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwmf0.2-7-gtk
 Description: Quick image viewer for X
  Quick Image Viewer (qiv) is a very small and pretty fast GDK/Imlib image
  viewer. Features include zoom, maxpect, scale down, fullscreen,
