## qiv 3.0.1

=== Makefile ===
--- 
+++ 
@@ -22,10 +22,7 @@
 FILTER = 1
 
 # This sets the file extentions to filter on (other file types will be
-# skipped.) It should reflect whatever can be loaded via gdk-pixbuf-loader
-# or is compiled into imlib.
-# The latest version of imlib has removed imagemagick fallback support,
-# so some extensions (XBM TGA) have been removed.
+# skipped.) It should reflect whatever can be loaded via gdk-pixbuf-loader.
 EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO WEBP HEIF
 
 # Comment this line out if your system doesn't have getopt_long().
@@ -58,16 +55,19 @@
 
 PKG_CONFIG ?= pkg-config
 INSTALL    ?= install
-#CFLAGS    = -O0 -g -Wall
 CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
-	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
-#CFLAGS    = -O2 -Wall -fomit-frame-pointer -finline-functions \
-#	    -fcaller-saves -ffast-math -fno-strength-reduce \
-#	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
+	    -fthread-jumps
 
-INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-2.0 imlib2)
-LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0 imlib2) -lX11 -lXext -lgio-2.0
+GDK_VERS := 3
+
+ifeq ($(GDK_VERS), 3)
+INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-3.0 )
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-3.0 ) -lX11 -lXext  -lgio-2.0
+else
+INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-2.0)
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0) -lX11 -lXext -lgio-2.0
+endif
 
 # [as] thinks that this is not portable enough:
 # [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
