=== debian/changelog ===
qiv (3.0.1-2) unstable; urgency=medium

  * debian/patches/background.diff: Closes: #1102608.

 -- Bart Martens <bartm@debian.org>  Sun, 13 Apr 2025 14:42:36 +0000

qiv (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: libgtk-3-dev
  * debian/qiv.mime: copied from upstream

 -- Bart Martens <bartm@debian.org>  Tue, 08 Apr 2025 18:54:44 +0000

qiv (2.3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop wmf support. Closes: #1043459.

 -- Bastian Germann <bage@debian.org>  Sat, 14 Oct 2023 08:24:23 +0000
