## qiv 3.0.2

=== Makefile ===
--- 
+++ 
@@ -63,10 +63,10 @@
 
 ifeq ($(GDK_VERS), 3)
 INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-3.0 )
-LIBS      := $(shell $(PKG_CONFIG) --libs gdk-3.0 ) -lX11 -lXext  -lgio-2.0
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-3.0 ) -lX11 -lXext  -lgio-2.0 -lm
 else
 INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-2.0)
-LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0) -lX11 -lXext -lgio-2.0
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0) -lX11 -lXext -lgio-2.0 -lm
 endif
 
 # [as] thinks that this is not portable enough:
