=== debian/changelog ===
qiv (3.0.2-1) unstable; urgency=medium

  * New upstream release. Closes: #1103712.
  * Removed debian/patches/background.diff, now in upstream.

 -- Bart Martens <bartm@debian.org>  Fri, 24 Oct 2025 19:18:48 +0200
