=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- EXTNS="GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG ICO WEBP HEIF"
