=== debian/watch ===
Version: 5
Source: https://codeberg.org/ciberandy/qiv/tags
Matching-Pattern: .*/v(\d\S+)\.tar\.gz
